import { request, paramsSerializer } from '@/utils/request.js';

// person-files
export const personFilesListApi = (data) =>
  request({
    url: '/api/admin/user/archives/page',
    params: data,
  });
export const personFilesStatisticsApi = (data) =>
  request({
    url: '/api/admin/user/archives/sub_total',
    params: data,
  });
export const personFilesCodeApi = (data) =>
  request({
    url: '/api/admin/user/archives/create_code',
    data,
  });
export const personFilesEditApi = (data) =>
  request({
    url: '/api/admin/user/archives/edit',
    data,
  });
export const personFilesDestroyApi = (ids) =>
  request({
    url: '/api/system/person-files/destroy',
    params: { ids },
    paramsSerializer,
  });

export const personFilesExportApi = (data) =>
  request({
    url: '/api/admin/user/archives/export',
    params: data,
  });

// person-allocate
export const personAllocateListApi = (data) =>
  request({
    url: '/api/admin/user/archives/allocation/page',
    params: data,
  });
export const personAllocateStatisticsApi = (data) =>
  request({
    url: '/api/admin/user/archives/allocation/sub_total',
    params: data,
  });
export const personAllocateBatchDeployApi = (serviceUnitId) =>
  request({
    url: '/api/admin/user/archives/allocation/auto_edit',
    params: { serviceUnitId },
    paramsSerializer,
  });
export const personAllocateRoleDetailApi = (crmNo) =>
  request({
    url: '/api/admin/user/archives/allocation/detail_by_crm_no',
    params: { crmNo },
  });
export const personAllocateDeployApi = (data) =>
  request({
    url: '/api/admin/user/archives/allocation/edit',
    data,
  });
export const personAllocateSubmitSopApi = (crmNo) =>
  request({
    url: '/api/admin/user/archives/allocation/publish',
    params: { crmNo },
  });
export const personAllocateCancelSubmitSopApi = (crmNo) =>
  request({
    url: '/api/admin/user/archives/allocation/un_publish',
    params: { crmNo },
  });
export const personAllocateFreeEngineerApi = (roleType) =>
  request({
    url: '/api/admin/user/archives/allocation/free_engineer',
    params: { roleType },
  });
export const personAllocateFreeCoordinatorApi = (serviceUnitId) =>
  request({
    url: '/api/admin/user/archives/allocation/free_coordinator',
    params: { serviceUnitId },
  });

// registration-query
export const registrationQueryListApi = (data) =>
  request({
    url: '/api/system/registration-query/list',
    params: data,
  });
