import { request } from '@/utils/request.js';

//延期预警列表
export const getDelayWarnList = (data) =>
  request({
    url: '/api/admin/tb/delay/warn/query',
    params: data,
  });

//关闭单个延期预警
export const closeDelayWarn = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/close?id=' + id,
    loading: true,
  });
//重启延期预警
export const restartDelayWarn = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/restart?id=' + id,
    loading: true,
  });
//单个延期预警的详情
export const delayWarnDetail = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/get?id=' + id,
    method: 'get',
  });
//延期预警明细表
export const delayWarnDetailList = (id) =>
  request({
    url: '/api/admin/tb/delay/warn/detail/list?id=' + id,
  });

//延期预警跟进提交
export const flowDelayWarn = (data) =>
  request({
    url: '/api/admin/tb/delay/warn/detail/save',
    data,
    loading: true,
  });

//违规登记列表
export const getViolationList = (data) =>
  request({
    url: '/api/admin/tb/violation/query',
    params: data,
  });
//关闭单个违规登记
export const closeViolation = (id) =>
  request({
    url: '/api/admin/tb/violation/close?id=' + id,
    loading: true,
  });
//重启违规登记
export const restartViolation = (id) =>
  request({
    url: '/api/admin/tb/violation/restart?id=' + id,
    loading: true,
  });
//单个违规登记的详情
export const violationDetail = (id) =>
  request({
    url: '/api/admin/tb/violation/get?id=' + id,
    method: 'get',
  });
//违规登记明细表
export const violationDetailList = (id) =>
  request({
    url: '/api/admin/tb/violation/detail/query?id=' + id,
  });
//违规登记跟进提交
export const flowViolation = (data) =>
  request({
    url: '/api/admin/tb/violation/detail/save',
    data,
    loading: true,
  });
