import myWorkbenches from './modules/myWorkbenches';
import serviceUnit from './modules/serviceUnit';
import sop from './modules/sop';
import resourceGuard from './modules/resourceGuard';
import workHours from './modules/workHours';
import projectQuality from './modules/projectQuality';
import User from './modules/user';
import System from './modules/system';

const asyncRoutes = [
  myWorkbenches,
  serviceUnit,
  sop,
  resourceGuard,
  workHours,
  projectQuality,
  User,
  System,
];
export const moduleMap = asyncRoutes.reduce((obj, item) => {
  obj[item.path.slice(1)] = item.name;
  return obj;
}, {});

//用户得登录后才有的非菜单的路由白名单，与菜单权限无关，
//比如依赖登录后的自我修改密码界面(点击右上角的头像下拉菜单里的“修改密码”)
export const routesNotMenu = [
  {
    name: 'PasswordModify',
    path: '/bootstrap/password-modify',
    component: () => import('@/views/password-modify/index.vue'),
    meta: {
      title: '密码修改',
      mount: 'Bootstrap', //需要挂载在哪个路由节点下
    },
  },
];

//菜单的白名单，比如“我的工作台”，不依赖权限配置，只要登录，就能加入菜单
export const whiteMenuList = [
  {
    id: '1000',
    name: '我的工作台',
    parentId: '-1',
    url: 'workManage',
    sort: 0,
    type: 'MENU',
  },
  {
    id: '1001',
    parentId: '1000',
    url: 'workChildManage',
    name: '工作台',
    sort: 1,
    type: 'MENU',
  },
  {
    id: '1002',
    parentId: '1001',
    url: 'message',
    name: '消息提醒',
    sort: 2,
    type: 'MENU',
  },
  {
    id: '1003',
    parentId: '1001',
    url: 'work',
    name: '待办任务',
    sort: 3,
    type: 'MENU',
  },
  {
    id: '1004',
    parentId: '1001',
    url: 'notice',
    name: '通知公告',
    sort: 4,
    type: 'MENU',
  },
];
export default asyncRoutes;
