import { defineStore } from 'pinia';

const useAppStore = defineStore('app', {
  state: () => ({
    menuCollapse: false,
    menuWidth: 220,
    collapseWidth: 64,
    language: 'zh_CN',
  }),

  getters: {
    appCurrentSetting(state) {
      return { ...state };
    },
  },

  actions: {
    updateSettings(partial) {
      this.$patch(partial);
    },

    toggleMenu() {
      this.menuCollapse = !this.menuCollapse;
    },
    changeLanguage(language) {
      this.language = language;
    },
  },
});

export default useAppStore;
