export default {
  id: '414471842594553856', //主键
  flowDeploymentId: '414471841768275968', //流程部署id，后台用
  flowName: 'testform1.bpmn', //流程名称
  setupMap: {
    f_usertask_jwc_start: {
      //流程节点key
      taskName: '新增sop', //流程节点名称
      taskKey: 'f_usertask_jwc_start', //流程节点key
      setup: 1, //流程步骤，1为初始，0为结束，-1为终止
      formKey: 'start_1.form', //表单名称
      formProperty: [
        //表单数据，参考测试sop动态表单
        {
          id: '1',
          code: 'TEXT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|crm_child_no',
          formName: 'f_usertask_jwc_start|crm_child_no',
          title: '项目子单编号',
          inputType: 'STRING',
          required: false,
          readable: true,
          writable: false,
          visable: true,
          binding: 'crm_child_no',
          name: '文本',
        },
        {
          id: '2',
          code: 'SELECT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|custom_type',
          formName: 'f_usertask_jwc_start|custom_type',
          title: '客户类型',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          binding: 'custom_type',
          dataGrid: '/api/admin/widget/custom/list',
          name: '下拉框',
        },
        {
          id: '3',
          code: 'POP_SELECT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|crm_manager',
          formName: 'f_usertask_jwc_start|crm_manager',
          title: '派单客户经理',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          binding: 'crm_manager',
          dataGrid: '/api/admin/widget/crm/manager',
          name: '弹出选择框',
        },
        {
          id: '4',
          code: 'SELECT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|custom_name',
          formName: 'f_usertask_jwc_start|custom_name',
          title: '客户名称',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          binding: 'custom_name',
          dataGrid: '/api/admin/widget/school/list',
          name: '下拉框',
        },
        {
          id: '5',
          code: 'SELECT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|crm_parent_no',
          formName: 'f_usertask_jwc_start|crm_parent_no',
          title: '项目母单编号',
          required: false,
          readable: false,
          writable: true,
          visable: true,
          binding: 'crm_parent_no',
          dataGrid: '/api/admin/widget/crm/parent_no/list',
          name: '下拉框',
        },
        {
          id: '6',
          code: 'TEXT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|crm_name',
          formName: 'f_usertask_jwc_start|crm_name',
          title: '项目名称',
          inputType: 'STRING',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          name: '文本',
        },
        {
          id: '7',
          code: 'TEXT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|org_name',
          formName: 'f_usertask_jwc_start|org_name',
          title: '学院分(子)机构',
          inputType: 'STRING',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          name: '文本',
        },
        {
          id: '8',
          code: 'SELECT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|product',
          formName: 'f_usertask_jwc_start|product',
          title: '实施产品',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          binding: 'product',
          dataGrid: '/api/admin/widget/product/list',
          name: '下拉框',
        },
        {
          id: '9',
          code: 'POP_SELECT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|child_manager',
          formName: 'f_usertask_jwc_start|child_manager',
          title: '子项目经理',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          binding: 'child_manager',
          dataGrid: '/api/admin/widget/crm/manager',
          name: '弹出选择框',
        },
        {
          id: '10',
          code: 'LABEL',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|crm_info',
          formName: 'f_usertask_jwc_start|crm_info',
          title: '派单信息',
          inputType: 'STRING',
          required: false,
          readable: true,
          writable: false,
          visable: true,
          name: '标签',
        },
        {
          id: '11',
          code: 'TEXT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|exam_start_time',
          formName: 'f_usertask_jwc_start|exam_start_time',
          title: '考试开始时间',
          inputType: 'STRING',
          required: false,
          readable: true,
          writable: false,
          visable: true,
          binding: 'exam_start_time',
          name: '文本',
        },
        {
          id: '12',
          code: 'TEXT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|exam_end_time',
          formName: 'f_usertask_jwc_start|exam_end_time',
          title: '考试结束时间',
          inputType: 'STRING',
          required: false,
          readable: true,
          writable: false,
          visable: true,
          binding: 'exam_end_time',
          name: '文本',
        },
        {
          id: '13',
          code: 'TEXT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|remark',
          formName: 'f_usertask_jwc_start|remark',
          title: '特殊要求及备注',
          inputType: 'STRING',
          required: false,
          readable: true,
          writable: false,
          visable: true,
          binding: 'remark',
          name: '文本',
        },
        {
          id: '14',
          code: 'TEXT',
          type: 'FORM',
          formId: 'f_usertask_jwc_start|project_type',
          formName: 'f_usertask_jwc_start|project_type',
          title: '项目类型',
          inputType: 'STRING',
          required: false,
          readable: true,
          writable: false,
          visable: true,
          binding: 'project_type',
          name: '文本',
        },
      ],
    },
    f_usertask_jwc_project: {
      taskName: '教务处sop_项目关键信息',
      taskKey: 'f_usertask_jwc_project',
      setup: 2,
      formKey: 'project_2.form',
      formProperty: [
        {
          id: '15',
          code: 'FILE',
          type: 'FORM',
          formId: 'f_usertask_jwc_project|screen',
          formName: 'f_usertask_jwc_project|screen',
          title: '客户沟通或邮件截图',
          inputType: 'STRING',
          required: false,
          readable: true,
          writable: false,
          visable: true,
          name: '标签',
          subTitle: [
            {
              content:
                '提示：考虑到存在因客户原因信息收集不全，或客户无法确认的情况，因此客户确认截图不强制要求上传。但为了发生质量问题后，公司内部准确定责，保护项目经理的合理权益，请项目经理尽可能上传。',
              color: 'green',
            },
          ],
        },
        {
          id: '18',
          code: 'TABLE',
          type: 'FORM',
          formId: 'f_usertask_jwc_project|exam_time_table',
          formName: 'f_usertask_jwc_project|exam_time_table',
          title: '考试时间安排表格',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          name: '表格',
          tablePropList: [
            {
              id: '1',
              widgetId: '18',
              tdIndex: 1,
              tdId: 'f_usertask_jwc_project|18|course_count',
              tdName: 'f_usertask_jwc_project|18|course_count',
              title: '科目数量',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: '19',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: '2',
              widgetId: '18',
              tdIndex: 2,
              tdId: 'f_usertask_jwc_project|18|course_num',
              tdName: 'f_usertask_jwc_project|18|course_num',
              title: '科次',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: '19',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: '3',
              widgetId: '18',
              tdIndex: 3,
              tdId: 'f_usertask_jwc_project|18|exam_start_time',
              tdName: 'f_usertask_jwc_project|18|exam_start_time',
              title: '考试开始时间',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: '20',
              tdFormWidget: {
                code: 'DATE',
                name: '日期',
                format: 'yyyy-MM-dd HH:mm:ss',
              },
            },
            {
              id: '4',
              widgetId: '18',
              tdIndex: 4,
              tdId: 'f_usertask_jwc_project|18|exam_end_time',
              tdName: 'f_usertask_jwc_project|18|exam_end_time',
              title: '考试结束时间',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: '20',
              tdFormWidget: {
                code: 'DATE',
                name: '日期',
                format: 'yyyy-MM-dd HH:mm:ss',
              },
            },
          ],
        },
        {
          id: 'XXX',
          code: 'PROJECT_HEADER',
          title: '云阅卷',
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXT',
          span: 12,
          title: '扫描仪数量',
          required: true,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'DATE',
          title: '扫描开始时间',
          required: true,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'DATE',
          title: '扫描结束时间',
          required: true,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'CASCADE_ADDRESS',
          title: '扫描地址',
          required: true,
          dataGrid: '',
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'DATE',
          title: '阅卷开始时间',
          required: true,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'DATE',
          title: '阅卷结束时间',
          required: true,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'RADIO',
          title: '阅卷方式',
          required: true,
          subTitle: [{ content: '提示：一般教务处分题阅', color: 'gray' }],
          options: [
            { value: '1', label: '整卷阅' },
            { value: '2', label: '分题阅' },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'RADIO',
          title: '是否启用轨迹阅卷',
          required: true,
          subTitle: [
            { content: '提示：一般教务处需要启用该项', color: 'gray' },
          ],
          options: [
            { value: '1', label: '启用' },
            { value: '2', label: '不器用' },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'RADIO',
          title: '评卷组织形式',
          required: true,
          subTitle: [
            { content: '提示：评卷组织形式根据学校要求选择', color: 'gray' },
            {
              content:
                '1.集中阅：老师集中在既定地点评阅，对现场网络环境的稳定性、外接带宽多少有依赖性，需要提前确认网络情况（详见“网络情况调研”）',
              color: 'red',
            },
            {
              content: '2.分散阅：老师可分散评阅，只要可上外网即可',
              color: 'gray',
            },
          ],
          options: [
            { value: '1', label: '集中阅' },
            { value: '2', label: '分散阅' },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'CHECKBOX',
          title: '集中阅-网络情况调研',
          subTitle: [
            {
              content:
                '提示：请根据检查项要求与客户进行核对确认后如实填写，检查项符合则勾选，不符合则不勾选，如果网络情况不满足集中阅的形式，则可参考如下建议：',
              color: 'gray',
            },
            {
              content: '1.与学校沟通，协助整改网络状况；',
              color: 'gray',
            },
            {
              content: '2.更换评卷组织形式。',
              color: 'gray',
            },
            {
              content:
                '注意：若需要整改网络，整改情况无法立即落实，则检查项确认情况先如实填写，待整改完毕后，可对该信息进行变更操作。',
              color: 'red',
            },
          ],
          options: [
            { value: '1', label: '能连接外网' },
            { value: '2', label: '符合标准运行环境' },
            { value: '3', label: '局域网络稳定' },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'DATE',
          title: '合分时间',
          required: true,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'RADIO',
          title: '是否需要教研分析',
          required: true,
          options: [
            { value: '1', label: '是' },
            { value: '2', label: '否' },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXTAREA',
          title: '阅卷特殊需求备注',
          required: true,
          subTitle: [
            { content: '提示：若没有特殊需求，则填写"无"', color: 'gray' },
          ],
        },
      ],
    },
    f_usertask_jwc_inside_approve: {
      taskName: '教务处sop_内审',
      taskKey: 'f_usertask_jwc_inside_approve',
      setup: 3,
      formKey: 'inside_approve_3.form',
      formProperty: [
        {
          id: 'XXX',
          code: '', //code为空的话，则表示主控件没有，但是其他的：比如标题或者描述文字可能会有
          binding: 'XXX',
          title: '风险提示确认',
          subTitle: [
            { content: '请项目经理重点关注扫描风险点。例如：', color: 'gray' },
            { content: '①答题卡印刷不规范；', color: 'gray' },
            {
              content: '②客观题填涂区域边界不清晰、线条不连贯；',
              color: 'gray',
            },
            {
              content:
                '上述风险处置建议：请采用200DPI进行扫描，能很大程度改善客观题识别情况。',
              color: 'blue',
            },
            {
              content:
                '注意：以上风险仅作项目经理预判风险的参考提示，并未穷尽全部风险点。若项目经理一旦发现其它风险点，例如非常规操作、印刷错误导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。',
              color: 'red',
            },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'RADIO',
          title: '我已阅读风险提示内容，对风险点预判如下',
          subTitle: [
            {
              content: '若预判有风险，则请简单填写预判的具体风险点',
              color: 'blue',
            },
          ],
          required: true,
          options: [
            { value: '1', label: '无风险' },
            { value: '2', label: '其他' },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'SIGN',
          title: '手写签名',
          required: true,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXTAREA',
          title: '审批意见',
          required: true,
        },
        // {
        //   id: '21',
        //   code: 'LABEL',
        //   type: 'FORM',
        //   formId: 'f_usertask_jwc_inside_approve|risk_title',
        //   formName: 'f_usertask_jwc_inside_approve|risk_title',
        //   title: '风险提示确认',
        //   inputType: 'STRING',
        //   required: false,
        //   readable: true,
        //   writable: false,
        //   visable: true,
        //   value:
        //     '请项目经理重点关注扫描风险点。例如：\n①答题卡印刷不规范；\n②客观题填涂区域边界不清晰、线条不连贯；\n上述风险处置建议：请采用200DP进行扫描，能很大程度改善容观题识别情况。\n注意：以上风险仅作项目经理预判风险的参考提示，并未安尽全部风险点。若项目经理一旦发现其亡风险点，例如非常规操作、印刷错误\n导致的连带风险点等，必须及时上报给实施部门负责人决策再处置。',
        //   name: '标签',
        // },
        // {
        //   id: '22',
        //   code: 'LABEL',
        //   type: 'FORM',
        //   formId: 'f_usertask_jwc_inside_approve|risk_knowe_title',
        //   formName: 'f_usertask_jwc_inside_approve|risk_knowe_title',
        //   title: '我已阅读风险提示内容，对风险点预判如下：',
        //   inputType: 'STRING',
        //   required: true,
        //   readable: true,
        //   writable: false,
        //   visable: true,
        //   value: '若预判有风险，则请简要填写预判的具体风险点',
        //   name: '标签',
        // },
        // {
        //   id: '23',
        //   code: 'RADIO',
        //   type: 'FORM',
        //   formId: 'f_usertask_jwc_inside_approve|risk_no',
        //   formName: 'f_usertask_jwc_inside_approve|risk_no',
        //   title: '无风险',
        //   inputType: 'STRING',
        //   required: true,
        //   readable: false,
        //   writable: true,
        //   visable: true,
        //   name: '单选框',
        // },
        // {
        //   id: '24',
        //   code: 'RADIO',
        //   type: 'FORM',
        //   formId: 'f_usertask_jwc_inside_approve|risk_other',
        //   formName: 'f_usertask_jwc_inside_approve|risk_other',
        //   title: '其他',
        //   inputType: 'STRING',
        //   required: true,
        //   readable: false,
        //   writable: true,
        //   visable: true,
        //   name: '单选框',
        // },
        // {
        //   id: '25',
        //   parentId: '24',
        //   code: 'TEXTAREA',
        //   type: 'FORM',
        //   formId: 'f_usertask_jwc_inside_approve|risk_other_textarea',
        //   formName: 'f_usertask_jwc_inside_approve|risk_other_textarea',
        //   title: '其他风险文本域',
        //   inputType: 'STRING',
        //   required: false,
        //   readable: false,
        //   writable: true,
        //   visable: false,
        //   name: '文本域',
        // },
        // {
        //   id: '26',
        //   code: 'LABEL',
        //   type: 'FORM',
        //   formId: 'f_usertask_jwc_inside_approve|sign_label',
        //   formName: 'f_usertask_jwc_inside_approve|sign_label',
        //   title: '手写签名',
        //   inputType: 'STRING',
        //   required: true,
        //   readable: true,
        //   writable: false,
        //   visable: true,
        //   name: '标签',
        // },
        // {
        //   id: '27',
        //   code: 'SIGN',
        //   type: 'FORM',
        //   formId: 'f_usertask_jwc_inside_approve|sign',
        //   formName: 'f_usertask_jwc_inside_approve|sign',
        //   title: '添加签名',
        //   inputType: 'STRING',
        //   required: true,
        //   readable: false,
        //   writable: true,
        //   visable: true,
        //   name: '签名',
        // },
        // {
        //   id: '28',
        //   code: 'TEXTAREA',
        //   type: 'FORM',
        //   formId: 'f_usertask_jwc_inside_approve|approve_suggestion',
        //   formName: 'f_usertask_jwc_inside_approve|approve_suggestion',
        //   title: '审批意见',
        //   inputType: 'STRING',
        //   required: false,
        //   readable: false,
        //   writable: true,
        //   visable: true,
        //   name: '文本域',
        // },
      ],
    },
    // f_usertask_jwc_end: {
    //   taskName: '结束',
    //   taskKey: 'f_usertask_jwc_end',
    //   setup: 0,
    //   formKey: null,
    //   formProperty: null,
    // },
    扫描仪出库登记: {
      taskName: '扫描仪出库登记',
      taskKey: '扫描仪出库登记',
      formProperty: [
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'RADIO',
          title: '扫描仪出入库选择',
          required: true,
          options: [
            { value: '1', label: '出库' },
            { value: '2', label: '入库' },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'DATE',
          title: '设备出入库时间',
          required: true,
        },
        {
          id: 'XXX',
          code: 'TABLE',
          type: 'FORM',
          formId: 'XXX',
          formName: 'XXX',
          title: '扫描仪设备出库登记',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          name: '表格',
          tablePropList: [
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'aaa',
              tdName: 'aaa',
              title: '设备编号',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 2,
              tdId: 'bbb',
              tdName: 'bbb',
              title: '运行状态',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 3,
              tdId: 'ccc',
              tdName: 'ccc',
              title: '总扫描量',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'ddd',
              tdName: 'ddd',
              title: '当前所在地',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
          ],
        },
      ],
    },
    扫描校验及收尾: {
      taskName: '扫描校验及收尾',
      taskKey: '扫描校验及收尾',
      formProperty: [
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXT',
          title: '扫描-是否进行缺考人工核对-核对缺考答题卡',
          required: true,
          subTitle: [{ content: '100%全检，填写核对筛查结果', color: 'red' }],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXT',
          title: '扫描-是否进行查漏-a.核对签到表',
          required: true,
          subTitle: [{ content: '100%全检，填写核对筛查结果', color: 'red' }],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXT',
          title: '扫描-是否进行查漏-b.核对缺考名单',
          required: true,
          subTitle: [{ content: '100%全检，填写核对筛查结果', color: 'red' }],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXT',
          title: '扫描-是否进行查漏-c.提供签到无试卷信息(客户沟通截图)',
          required: true,
          subTitle: [
            {
              content: '100%全检，填写核对结果，提交签到无试卷信息表给客户确认',
              color: 'red',
            },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'FILE',
          title: '扫描-是否进行查漏-c.提供签到无试卷信息(客户沟通截图)',
          required: true,
          subTitle: [{ content: '请上传客户沟通截图', color: 'gray' }],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'FILE',
          title: '扫描-是否对手工修改准考证号的答题卡核对-核对信息是否有误',
          required: true,
          subTitle: [{ content: '100%全检，上传查询后的截图', color: 'red' }],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'SELECT',
          title: '是否完成识别对照',
          required: true,
          dataGrid: '',
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'FILE',
          title: '扫描-是否对手工修改准考证号的答题卡核对-核对客观题识别情况',
          required: true,
          subTitle: [{ content: '100%全检，上传查询后的截图', color: 'red' }],
        },
      ],
    },
    阅卷参数核对: {
      taskName: '阅卷参数核对',
      taskKey: '阅卷参数核对',
      formProperty: [
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'RADIO',
          title: '特殊评卷规则',
          required: true,
          options: [
            { value: '1', label: '无' },
            { value: '2', label: '多选题漏选不得分' },
            { value: '3', label: '多选题漏选得分' },
            { value: '4', label: '其他' },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXT',
          title: '阅卷参数核对-1.录入科目数量',
          required: true,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'SELECT',
          title: '客观题是否核对',
          required: true,
          dataGrid: '',
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'SELECT',
          title: '客观题满分是否核对',
          required: true,
          dataGrid: '',
        },
      ],
    },
    评卷校验及收尾: {
      taskName: '评卷校验及收尾',
      taskKey: '评卷校验及收尾',
      formProperty: [
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXT',
          title: '阅卷参数核对-1.录入科目数量',
          required: true,
          readable: true,
          writable: false,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'SELECT',
          title: '客观题是否核对',
          required: true,
          dataGrid: '',
          readable: true,
          writable: false,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'SELECT',
          title: '客观题满分是否核对',
          required: true,
          dataGrid: '',
          readable: true,
          writable: false,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'FILE',
          title: '评卷-主客观参数核对-是否主客观满分100',
          required: true,
          subTitle: [{ content: '100%全检，上传查询后的截图', color: 'red' }],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'FILE',
          title: '评卷-评卷收尾-是否所有科目进度100%',
          required: true,
          subTitle: [{ content: '100%全检，上传查询后的截图', color: 'red' }],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'FILE',
          title: '评卷-分数核对-统计客观题得分为0',
          required: true,
          subTitle: [{ content: '100%全检，上传查询后的截图', color: 'red' }],
        },
      ],
    },
    扫描仪入库登记: {
      taskName: '扫描仪入库登记',
      taskKey: '扫描仪入库登记',
      formProperty: [
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'RADIO',
          title: '扫描仪出入库选择',
          required: true,
          options: [
            { value: '1', label: '出库' },
            { value: '2', label: '入库' },
          ],
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'DATE',
          title: '设备出入库时间',
          required: true,
        },
        {
          id: 'XXX',
          code: 'TABLE',
          type: 'FORM',
          formId: 'XXX',
          formName: 'XXX',
          title: '扫描仪设备出库登记',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          name: '表格',
          tablePropList: [
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'aaa',
              tdName: 'aaa',
              title: '设备编号',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 2,
              tdId: 'bbb',
              tdName: 'bbb',
              title: '运行状态',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 3,
              tdId: 'ccc',
              tdName: 'ccc',
              title: '总扫描量',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'ddd',
              tdName: 'ddd',
              title: '当前所在地',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
          ],
        },
      ],
    },
    项目总结报告: {
      taskName: '项目总结报告',
      taskKey: '项目总结报告',
      formProperty: [
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXT',
          title: '云阅卷-科目数量（单位：门）',
          required: true,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXT',
          title: '云阅卷-日扫量（单位：张/日）',
          required: true,
        },
        {
          id: 'XXX',
          binding: 'XXX',
          code: 'TEXT',
          title: '云阅卷-扫描总量（单位：张）',
          required: true,
        },
        {
          id: 'XXX',
          code: 'TABLE',
          type: 'FORM',
          formId: 'XXX',
          formName: 'XXX',
          title: '扫描明细',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          name: '表格',
          tablePropList: [
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'aaa',
              tdName: 'aaa',
              title: '答题卡类型（及规格）',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 2,
              tdId: 'bbb',
              tdName: 'bbb',
              title: '答题卡数量 （单位：份）',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 3,
              tdId: 'ccc',
              tdName: 'ccc',
              title: '签到表规格',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'ddd',
              tdName: 'ddd',
              title: '签到表数量 （单位：份）',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'eee',
              tdName: 'eee',
              title: '小计 （单位：份）',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
          ],
        },
        {
          id: 'XXX',
          code: 'TABLE',
          type: 'FORM',
          formId: 'XXX',
          formName: 'XXX',
          title: '项目异常情况汇总',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          name: '表格',
          tablePropList: [
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'aaa',
              tdName: 'aaa',
              title: '明细',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 2,
              tdId: 'bbb',
              tdName: 'bbb',
              title: '备注',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
          ],
        },
        {
          id: 'XXX',
          code: 'TABLE',
          type: 'FORM',
          formId: 'XXX',
          formName: 'XXX',
          title: '程序bug或者错误',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          name: '表格',
          tablePropList: [
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'aaa',
              tdName: 'aaa',
              title: '明细',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 2,
              tdId: 'bbb',
              tdName: 'bbb',
              title: '备注',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
          ],
        },
        {
          id: 'XXX',
          code: 'TABLE',
          type: 'FORM',
          formId: 'XXX',
          formName: 'XXX',
          title: '客户意见及建议',
          required: true,
          readable: false,
          writable: true,
          visable: true,
          name: '表格',
          tablePropList: [
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'aaa',
              tdName: 'aaa',
              title: '明细',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 2,
              tdId: 'bbb',
              tdName: 'bbb',
              title: '备注',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
          ],
        },
        {
          id: 'XXX',
          code: 'FILE',
          binding: 'XXX',
          title: '现场照片',
          required: false,
          span: 12,
        },
        {
          id: 'XXX',
          code: 'TEXTAREA',
          title: '照片备注',
          binding: 'xxx',
          required: false,
          span: 12,
        },
      ],
    },
  },
  version: 1,
};
